
TYPO3.Flow - Task # 3466

Status: Resolved Priority: Must have
Author: Robert Lemke Category: - Documentation -
Created: 2009-05-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Update / move GPL.txt file in FLOW3 distribution
Description

Currently there's a GPL.txt file (containing GPL v2 text) in the FLOW3 distribution's main directory. Remove that.

In Packages/Global/FLOW3/Documentation/ there are two COPYING files - do we need the on about GPL v3? Can we rename the file
containing the LGPL v3 text to "License.txt" ?

Associated revisions
Revision d0260d12 - 2009-05-26 18:01 - Karsten Dambekalns

Moved licenses to the Meta folder of the packages ExtJS, FLOW3, Fluid, PHP6, PHPCR, PHPUnit, Testing, TYPO3CR, YAML; resolves #3466

Revision 68945c38 - 2009-05-26 18:01 - Karsten Dambekalns

Moved licenses to the Meta folder of the packages ExtJS, FLOW3, Fluid, PHP6, PHPCR, PHPUnit, Testing, TYPO3CR, YAML; resolves #3466

Revision ce6b471f - 2009-05-26 23:01 - Karsten Dambekalns
BlogExample distribution:
    -  removed GPL.txt, refs #3466

History
#1 - 2009-05-26 17:21 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

Robert Lemke wrote:

In Packages/Global/FLOW3/Documentation/ there are two COPYING files - do we need the on about GPL v3? Can we rename the file containing
the LGPL v3 text to "License.txt" ?

Having both license texts there is because LGPL simply adds to GPL. The naming follows the conventions suggested by the FSF.

#2 - 2009-05-26 19:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2394.
